Bulk update entities
- Base URL
-
https://{kibana_url}
- PUT /api/security/entity_store/entities/bulk
- PUT /s/{space_id}/api/security/entity_store/entities/bulk
Update multiple entity records in the Entity Store in a single request.
Required authorization
- Privileges securitySolution
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
-
entitiesobject[]required -
The entities to update.
-
docunion anyOf - Any of:
-
entityobject -
entityobject -
entityobject -
entityobject
Responses
200
application/json
Indicates a successful response.
400
application/json
Bad request.